Index: sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js
===================================================================
--- sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js	(revision 6934)
+++ sandbox/2.4.2-expresso1/prototype/modules/calendar/js/init.js	(revision 6945)
@@ -440,39 +440,46 @@
 			evt.id = evt.id.split('-')[0];
             
-			if(evt.type == 1){
-
-                        if(evt.selectable){
-                            if(evt.isRepeat){
-                                $.Zebra_Dialog(evt.title + ' é um evento com repetição.', {
-                                        'type':     'question',
-                                        'overlay_opacity': '0.5',
-                                        'buttons':  ['Editar todas ocorrências', 'Editar essa ocorrência'],
-                                        'onClose':  function(clicked) {
-                                                if(clicked == 'Editar todas ocorrências') {
-                                                    eventDetails( DataLayer.get( "schedulable", evt.id), true);
-                                                }else{
-                                                    /*
-                                                    * TODO - repeat foi adicionado pois melhorias devem ser feitas no rollback do
-                                                    *DataLayer, repeat somente é usado quando se trata da criação de um evento
-                                                    *pela edição de uma ocorrência.
-                                                    */      
-                                                    var repeat = mount_exception(evt.id, evt.occurrence);
-                                                                                                  
-                                                    $('.calendar-copy-move input[name="typeEvent"]').val("3");
-                                                    
-                                                    eventDetails(copyAndMoveTo(false , evt.id , false, "3", evt), true, '', false, repeat);
-                                                }       
-                                        }
-                                });
-                            }else{
-				var schedulable = DataLayer.get( "schedulable", evt.id);
-				schedulable.group = evt.calendar;
-				eventDetails( schedulable, true);
-			    }
+            switch (parseInt(evt.type)){
+                case 1:
+                    if(evt.selectable){
+                        if(evt.isRepeat){
+                            $.Zebra_Dialog(evt.title + ' é um evento com repetição.', {
+                                'type':     'question',
+                                'overlay_opacity': '0.5',
+                                'buttons':  ['Editar todas ocorrências', 'Editar essa ocorrência'],
+                                'onClose':  function(clicked) {
+                                    if(clicked == 'Editar todas ocorrências') {
+                                        eventDetails( DataLayer.get( "schedulable", evt.id), true);
+                                    }else{
+                                        /*
+                                        * TODO - repeat foi adicionado pois melhorias devem ser feitas no rollback do
+                                        *DataLayer, repeat somente é usado quando se trata da criação de um evento
+                                        *pela edição de uma ocorrência.
+                                        */      
+                                        var repeat = mount_exception(evt.id, evt.occurrence);
+                                                                                          
+                                        $('.calendar-copy-move input[name="typeEvent"]').val("3");
+                                        
+                                        eventDetails(copyAndMoveTo(false , evt.id , false, "3", evt), true, '', false, repeat);
+                                    }       
+                                }
+                            });
+                        }else{
+                            var schedulable = DataLayer.get( "schedulable", evt.id);
+                            schedulable.group = evt.calendar;
+                            eventDetails( schedulable, true);
+                            }
                         }
-            }else{
-                var task = DataLayer.get( "schedulable", evt.id);
-                task.group = evt.calendar;
-                taskDetails( task, true);
+                        break;
+                    case 2:
+                        var task = DataLayer.get( "schedulable", evt.id);
+                        task.group = evt.calendar;
+                        taskDetails( task, true);
+                        break;
+                    case 3:
+                        var activity = DataLayer.get( "schedulable", evt.id);
+                        activity.group = evt.calendar;
+                        activityDetails( activity, true);
+                        break;
             }
 		},
